########################################################################################################

# Quick Config : Set recommended configs without cheat commands here!
# Pick a setting to use.
#
#   0: Default settings/no overrides on load.
#
#   1: Recommended single player settings (keepInventory true, Wrist-Slapping*, 3x EP, mob abilities enabled, Normal difficulty)
#   2: Recommended multiplayer settings (keepInventory true, Wrist-Slapping*, 1x EP, mob abilities enabled, Hard difficulty)
#
#   3: Singleplayer Roguelite (keepInventory false, Punishing*, 5x EP, mob abilities enabled, Hard difficulty, PERSONAL DIFFICULTY INCREASE ENFORCEMENT, DIMENSIONAL DIFFICULTY MINIMUMS FORCED RESPEC ON DEATH)
#   4: Multiplayer Roguelite (keepInventory false, Punishing*, 5x EP, mob abilities enabled, Hard difficulty, GLOBAL DIFFICULTY INCREASE ENFORCEMENT)
#
#       Note: Setting 3 (Singleplayer Roguelite) is not coded with multiplayer in mind at all, and as such will have lots of buggy behavior. Enable for multiplayer at your own risk!
#
#
#                             Set THIS number: v
scoreboard players set quickconfig es.packload 0
#
# Dimensional Minimum Difficulty: Set below number to "1" to make the Nether and End enforce minimum difficulties of Burning (diff 4) and Hellfire (diff 6), respectively. This setting is overridden by Quick Config 3, "Singleplayer Roguelite"
scoreboard players set dimdiff_quickconfig es.configs 0

#       *"Wrist-Slapping" and "Punishing" refer to the EP penalty suffered upon player death.
#           -Wrist-Slapping: Lose 25% of your unspent EP on death.
#           -Punishing: Lose 100% of your unspent EP on death.

########################################################################################################






### DON'T edit the lines below unless you really know what you're doing!

scoreboard objectives add es.rl.timer dummy "Roguelite Difficulty Timer(s)"
scoreboard objectives add es.rl.days dummy "Roguelite Difficulty Day Count"
scoreboard objectives add es.rl.popupfix dummy "Roguelite double popup prevention"

execute if score dimdiff_quickconfig es.configs matches 1 run scoreboard players set dimdiff es.configs 1

execute if score quickconfig es.packload matches 0 run function essences:_quick_config_start_here/do_not_edit/quick_config_default
execute if score quickconfig es.packload matches 1 run function essences:_quick_config_start_here/do_not_edit/quick_config_singleplayer
execute if score quickconfig es.packload matches 2 run function essences:_quick_config_start_here/do_not_edit/quick_config_multiplayer
execute if score quickconfig es.packload matches 3 run function essences:_quick_config_start_here/do_not_edit/quick_config_singleplayer_rl
execute if score quickconfig es.packload matches 4 run function essences:_quick_config_start_here/do_not_edit/quick_config_multiplayer_rl