### Apply base attributes
execute if score @s es.augslots matches 0 run function essences:augmenttable/vanilla/pointer
execute if score @s es.augslots matches 0 run item modify entity @s weapon.mainhand essences:fight/set_tally

### Socket 3
execute if score @s es.augslots matches 2 run function essences:augmenttable/fight/majoraugpoint
### Sockets 1/2
execute if score @s es.augslots matches 0..1 run function essences:augmenttable/fight/minoraugpoint

data modify entity @s HandItems[0].tag merge value {es.tier_upgraded:0b}

### Write the correct attribute slot(s)
execute if data entity @s HandItems[0].tag.AttributeModifiers[{Name:"es.reflexslot"}] run function essences:augmenttable/reflexslot

# Subtract EP
execute if score @p[gamemode=!spectator,distance=..6] es.essence_fighter >= @s es.augcost run scoreboard players operation @p[gamemode=!spectator,distance=..6] es.essence_fighter -= @s es.augcost
tellraw @p[gamemode=!spectator,distance=..6] ["",{"text":"You spend "},{"score":{"name":"@s","objective":"es.augcost"},"bold":true,"italic":true,"color":"red"},{"text":" Fighter EP","bold":true,"italic":true,"color":"red"},{"text":" to augment your item.\nYou are left with "},{"score":{"name":"@p[gamemode=!spectator,distance=..6]","objective":"es.essence_fighter"},"bold":true,"italic":true,"color":"red"},{"text":" Fighter EP","bold":true,"italic":true,"color":"red"},{"text":". "}]

# Effects
playsound minecraft:block.anvil.use block @a ~ ~ ~ 0.25 0.9
playsound minecraft:block.fire.extinguish block @a ~ ~ ~ 0.5 0.9
particle minecraft:falling_lava ~ ~1.5 ~ 0.2 0 0.2 0 15 normal
execute if score @s es.augslots matches 3 run particle minecraft:lava ~ ~1 ~ 0.1 0 0.1 0 10 normal
execute if score @s es.augslots matches 3 run playsound minecraft:block.end_gateway.spawn block @a ~ ~ ~ 0.4

# Advancement
advancement grant @p[gamemode=!spectator,distance=..5] only essences:es_augment