### If any other creator wants to whitelist/add their custom mobs (Boss mobs should have fewer than 820 HP or else their health scaling caps at 4096 HP) to ERPG's scaling system, they should:
### -Add the tag "es.diff.custom" in the mob's /summon command.
### -Add any of the applicable tags found below. It is critical that hostile mobs have "es.hostile", even if they have a modifier tag such as "es.speedhostile".

### Generic Hostile tag
tag @e[tag=!smithed.entity,type=#essences:hostile] add es.hostile

### Hostile modifier tags
# Creeper tag
tag @e[tag=!smithed.entity,type=#essences:creeper] add es.creeper
# Speedy hostile tag
tag @e[tag=!smithed.entity,type=#essences:speedhostile] add es.speedhostile
# Tough hostile tag
tag @e[tag=!smithed.entity,type=#essences:toughhostile] add es.toughhostile
# Boss hostile tag
tag @e[tag=!smithed.entity,type=#essences:bosshostile] add es.bosshostile

### Friendlies and other modifiers
# Undead tag (not used in diff)
tag @e[tag=!smithed.entity,type=#essences:undead] add es.undead
# Ally/neutral tag
tag @e[tag=!smithed.entity,type=#essences:ally] add es.ally
# Villager tag
tag @e[tag=!smithed.entity,type=#essences:villager] add es.villager
# Golem tag
tag @e[tag=!smithed.entity,type=#essences:golem] add es.golem
# Skele horse tag
#tag @e[tag=!smithed.entity,type=minecraft:skeleton_horse] add es.shorse

### General difficulty buffing
tag @e[tag=!smithed.entity,type=#essences:diffbuffgeneric] add es.diff.generic

# "spawnscalingonly" is kept as just the entity tag, and is not progressed to a scoreboard tag

schedule function essences:difficulty/buffables/tags 6t replace