# Tag player as viewing this UI element, don't conflict with Manic
tag @s add es.empowerer_popup.active
scoreboard players set @s manic.hide_sanity 2
#

scoreboard players set popup_mod10 es.misc 10

### Normalize upcoming EP cost to 4 digits
scoreboard players operation popup_empcost es.misc = @s es.emp.cost

scoreboard players operation popup_empcost.1 es.misc = popup_empcost es.misc
scoreboard players operation popup_empcost.1 es.misc %= popup_mod10 es.misc
scoreboard players operation popup_empcost es.misc -= popup_empcost.1 es.misc
scoreboard players operation popup_empcost es.misc /= popup_mod10 es.misc

scoreboard players operation popup_empcost.10 es.misc = popup_empcost es.misc
scoreboard players operation popup_empcost.10 es.misc %= popup_mod10 es.misc
scoreboard players operation popup_empcost es.misc -= popup_empcost.10 es.misc
scoreboard players operation popup_empcost es.misc /= popup_mod10 es.misc

scoreboard players operation popup_empcost.100 es.misc = popup_empcost es.misc
scoreboard players operation popup_empcost.100 es.misc %= popup_mod10 es.misc
scoreboard players operation popup_empcost es.misc -= popup_empcost.100 es.misc
scoreboard players operation popup_empcost es.misc /= popup_mod10 es.misc

scoreboard players operation popup_empcost.1000 es.misc = popup_empcost es.misc
scoreboard players operation popup_empcost.1000 es.misc %= popup_mod10 es.misc
scoreboard players operation popup_empcost es.misc -= popup_empcost.1000 es.misc
scoreboard players operation popup_empcost es.misc /= popup_mod10 es.misc


### Find out what slots are bound to what
scoreboard players operation popup.bind_pre es.misc = @s es.emp.bnd.sn.mh
function essences:menu/empowerer_popup/numberize_binds
scoreboard players operation popup.sn.mh es.misc = popup.bind_pre es.misc

scoreboard players operation popup.bind_pre es.misc = @s es.emp.bnd.sn.oh
function essences:menu/empowerer_popup/numberize_binds
scoreboard players operation popup.sn.oh es.misc = popup.bind_pre es.misc

scoreboard players operation popup.bind_pre es.misc = @s es.emp.bnd.ju.mh
function essences:menu/empowerer_popup/numberize_binds
scoreboard players operation popup.ju.mh es.misc = popup.bind_pre es.misc

scoreboard players operation popup.bind_pre es.misc = @s es.emp.bnd.ju.oh
function essences:menu/empowerer_popup/numberize_binds
scoreboard players operation popup.ju.oh es.misc = popup.bind_pre es.misc


### Calculate cooldown percents
# Note - example for cooldown scores: '@s es.emp.ju.mh.cd'
scoreboard players operation popup.ju.mh.cd es.misc = @s es.emp.ju.mh.cd
scoreboard players operation popup.ju.mh.cd es.misc *= popup_mod10 es.misc
scoreboard players operation popup.ju.mh.cd es.misc /= @s es.emp.ju.mh.cd.max
execute if score @s es.emp.ju.mh.cd matches 1.. run scoreboard players add popup.ju.mh.cd es.misc 1
execute if score popup.ju.mh.cd es.misc matches 10.. run scoreboard players set popup.ju.mh.cd es.misc 9
#
scoreboard players operation popup.sn.mh.cd es.misc = @s es.emp.sn.mh.cd
scoreboard players operation popup.sn.mh.cd es.misc *= popup_mod10 es.misc
scoreboard players operation popup.sn.mh.cd es.misc /= @s es.emp.sn.mh.cd.max
execute if score @s es.emp.sn.mh.cd matches 1.. run scoreboard players add popup.sn.mh.cd es.misc 1
execute if score popup.sn.mh.cd es.misc matches 10.. run scoreboard players set popup.sn.mh.cd es.misc 9
#
scoreboard players operation popup.ju.oh.cd es.misc = @s es.emp.ju.oh.cd
scoreboard players operation popup.ju.oh.cd es.misc *= popup_mod10 es.misc
scoreboard players operation popup.ju.oh.cd es.misc /= @s es.emp.ju.oh.cd.max
execute if score @s es.emp.ju.oh.cd matches 1.. run scoreboard players add popup.ju.oh.cd es.misc 1
execute if score popup.ju.oh.cd es.misc matches 10.. run scoreboard players set popup.ju.oh.cd es.misc 9
#
scoreboard players operation popup.sn.oh.cd es.misc = @s es.emp.sn.oh.cd
scoreboard players operation popup.sn.oh.cd es.misc *= popup_mod10 es.misc
scoreboard players operation popup.sn.oh.cd es.misc /= @s es.emp.sn.oh.cd.max
execute if score @s es.emp.sn.oh.cd matches 1.. run scoreboard players add popup.sn.oh.cd es.misc 1
execute if score popup.sn.oh.cd es.misc matches 10.. run scoreboard players set popup.sn.oh.cd es.misc 9
#


### THE TELLRAW(s)!!!!!!
## Right-handed/default
execute unless score @s es.emp.coststate matches 10 run title @s[tag=!es.emp.lefty] actionbar [{"text":""},{"text":"         __COST:__","font":"erpg:tinyfont3","color":"gold"},{"score":{"name":"popup_empcost.1000","objective":"es.misc"},"font":"erpg:tinyfont3"},{"score":{"name":"popup_empcost.100","objective":"es.misc"},"font":"erpg:tinyfont3"},{"score":{"name":"popup_empcost.10","objective":"es.misc"},"font":"erpg:tinyfont3"},{"score":{"name":"popup_empcost.1","objective":"es.misc"},"font":"erpg:tinyfont3"},{"text":"<<<<<<<<<<<<<<<<<<<<<<<<<__ ","font":"erpg:tinyfont1"},{"score":{"name":"popup.ju.oh.cd","objective":"es.misc"},"font":"erpg:tinybarltr0"},{"score":{"name":"popup.ju.oh","objective":"es.misc"},"font":"erpg:tinyempright0"},{"text":"<<<<<<<<<<<<<<____","font":"erpg:tinyfont0"},{"score":{"name":"popup.sn.oh.cd","objective":"es.misc"},"font":"erpg:tinybarltr1"},{"score":{"name":"popup.sn.oh","objective":"es.misc"},"font":"erpg:tinyempright1"},{"text":"|   JUMP   |","font":"erpg:tinyfont0"},{"text":"<<<<<<<<<___SNEAK","font":"erpg:tinyfont1"},{"text":"   __","font":"erpg:tinyfont0"},{"score":{"name":"popup.ju.mh","objective":"es.misc"},"font":"erpg:tinyempleft0"},{"score":{"name":"popup.ju.mh.cd","objective":"es.misc"},"font":"erpg:tinybarrtl0"},{"text":"<<<<<<<<<<<<<<____","font":"erpg:tinyfont1"},{"score":{"name":"popup.sn.mh","objective":"es.misc"},"font":"erpg:tinyempleft1"},{"score":{"name":"popup.sn.mh.cd","objective":"es.misc"},"font":"erpg:tinybarrtl1"},{"text":"<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<__OFFHAND           __MAINHAND","font":"erpg:tinyfont2","color":"gray"}]
# Without cost display
execute if score @s es.emp.coststate matches 10 run title @s[tag=!es.emp.lefty] actionbar [{"text":""},{"text":"<<<<<","font":"erpg:tinyfont1"},{"score":{"name":"popup.ju.oh.cd","objective":"es.misc"},"font":"erpg:tinybarltr0"},{"score":{"name":"popup.ju.oh","objective":"es.misc"},"font":"erpg:tinyempright0"},{"text":"<<<<<<<<<<<<<<____","font":"erpg:tinyfont0"},{"score":{"name":"popup.sn.oh.cd","objective":"es.misc"},"font":"erpg:tinybarltr1"},{"score":{"name":"popup.sn.oh","objective":"es.misc"},"font":"erpg:tinyempright1"},{"text":"|   JUMP   |","font":"erpg:tinyfont0"},{"text":"<<<<<<<<<___SNEAK","font":"erpg:tinyfont1"},{"text":"   __","font":"erpg:tinyfont0"},{"score":{"name":"popup.ju.mh","objective":"es.misc"},"font":"erpg:tinyempleft0"},{"score":{"name":"popup.ju.mh.cd","objective":"es.misc"},"font":"erpg:tinybarrtl0"},{"text":"<<<<<<<<<<<<<<____","font":"erpg:tinyfont1"},{"score":{"name":"popup.sn.mh","objective":"es.misc"},"font":"erpg:tinyempleft1"},{"score":{"name":"popup.sn.mh.cd","objective":"es.misc"},"font":"erpg:tinybarrtl1"},{"text":"<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<__OFFHAND           __MAINHAND","font":"erpg:tinyfont2","color":"gray"}]
## Left-handed
execute unless score @s es.emp.coststate matches 10 run title @s[tag=es.emp.lefty] actionbar [{"text":""},{"text":"        __COST:__","font":"erpg:tinyfont3","color":"gold"},{"score":{"name":"popup_empcost.1000","objective":"es.misc"},"font":"erpg:tinyfont3"},{"score":{"name":"popup_empcost.100","objective":"es.misc"},"font":"erpg:tinyfont3"},{"score":{"name":"popup_empcost.10","objective":"es.misc"},"font":"erpg:tinyfont3"},{"score":{"name":"popup_empcost.1","objective":"es.misc"},"font":"erpg:tinyfont3"},{"text":"<<<<<<<<<<<<<<<<<<<<<<<<__","font":"erpg:tinyfont1"},{"score":{"name":"popup.ju.mh.cd","objective":"es.misc"},"font":"erpg:tinybarltr0"},{"score":{"name":"popup.ju.mh","objective":"es.misc"},"font":"erpg:tinyempright0"},{"text":"<<<<<<<<<<<<<<____","font":"erpg:tinyfont0"},{"score":{"name":"popup.sn.mh.cd","objective":"es.misc"},"font":"erpg:tinybarltr1"},{"score":{"name":"popup.sn.mh","objective":"es.misc"},"font":"erpg:tinyempright1"},{"text":"|   JUMP   |","font":"erpg:tinyfont0"},{"text":"<<<<<<<<<___SNEAK","font":"erpg:tinyfont1"},{"text":"   __","font":"erpg:tinyfont0"},{"score":{"name":"popup.ju.oh","objective":"es.misc"},"font":"erpg:tinyempleft0"},{"score":{"name":"popup.ju.oh.cd","objective":"es.misc"},"font":"erpg:tinybarrtl0"},{"text":"<<<<<<<<<<<<<<____","font":"erpg:tinyfont1"},{"score":{"name":"popup.sn.oh","objective":"es.misc"},"font":"erpg:tinyempleft1"},{"score":{"name":"popup.sn.oh.cd","objective":"es.misc"},"font":"erpg:tinybarrtl1"},{"text":"<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<__MAINHAND           __OFFHAND","font":"erpg:tinyfont2","color":"gray"}]
# Without cost display
execute if score @s es.emp.coststate matches 10 run title @s[tag=es.emp.lefty] actionbar [{"text":""},{"text":"<<<<<<","font":"erpg:tinyfont1"},{"score":{"name":"popup.ju.mh.cd","objective":"es.misc"},"font":"erpg:tinybarltr0"},{"score":{"name":"popup.ju.mh","objective":"es.misc"},"font":"erpg:tinyempright0"},{"text":"<<<<<<<<<<<<<<____","font":"erpg:tinyfont0"},{"score":{"name":"popup.sn.mh.cd","objective":"es.misc"},"font":"erpg:tinybarltr1"},{"score":{"name":"popup.sn.mh","objective":"es.misc"},"font":"erpg:tinyempright1"},{"text":"|   JUMP   |","font":"erpg:tinyfont0"},{"text":"<<<<<<<<<___SNEAK","font":"erpg:tinyfont1"},{"text":"   __","font":"erpg:tinyfont0"},{"score":{"name":"popup.ju.oh","objective":"es.misc"},"font":"erpg:tinyempleft0"},{"score":{"name":"popup.ju.oh.cd","objective":"es.misc"},"font":"erpg:tinybarrtl0"},{"text":"<<<<<<<<<<<<<<____","font":"erpg:tinyfont1"},{"score":{"name":"popup.sn.oh","objective":"es.misc"},"font":"erpg:tinyempleft1"},{"score":{"name":"popup.sn.oh.cd","objective":"es.misc"},"font":"erpg:tinybarrtl1"},{"text":"<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<__MAINHAND           __OFFHAND","font":"erpg:tinyfont2","color":"gray"}]