### Chance-based direction
function animanager:scorerng
scoreboard players set es.mobvar.ab.100 es.misc 100
scoreboard players operation es.mobvar.ab.perc es.misc = @s es.mobmana.mincost
scoreboard players operation es.mobvar.ab.perc es.misc *= es.mobvar.ab.100 es.misc
scoreboard players operation es.mobvar.ab.perc es.misc /= @s es.mobmana
# At this point, "perc" is the integer percent of how much it will cost the mob to cast their weakest ability
# Take complement of perc to find unmodified "itch". Itch represents how badly the mob wants to use an ability.
scoreboard players set es.mobvar.ab.itch es.misc 100
scoreboard players operation es.mobvar.ab.itch es.misc -= es.mobvar.ab.perc es.misc
# Scale random score, modify itch
scoreboard players set es.mobvar.ab.16 es.misc 16
scoreboard players operation es.mobvar.ab.itchmod es.misc = scor rav.scorerng
scoreboard players operation es.mobvar.ab.itchmod es.misc /= es.mobvar.ab.16 es.misc
scoreboard players remove es.mobvar.ab.itchmod es.misc 21
scoreboard players operation es.mobvar.ab.itch es.misc += es.mobvar.ab.itchmod es.misc

# If itch is high enough, the mob casts. If not (handled in "itchcooldown"), the mob gets a cooldown based on how close/far the itch value was from casting threshold


### Lookup tree
# Zombie types
execute if entity @s[tag=es.mobvar.plaguespreader] if score es.mobvar.ab.itch es.misc >= @s es.mobmana.itchreq if entity @p[gamemode=!spectator,distance=..6] run function essences:mobvar/director/zombie/plaguespreader
# Creeper types
execute if entity @s[tag=es.mobvar.leaper] if score es.mobvar.ab.itch es.misc >= @s es.mobmana.itchreq if entity @p[gamemode=!spectator,distance=4..6] run function essences:mobvar/director/creeper/leaper
execute if entity @s[tag=es.mobvar.sneaker] if score es.mobvar.ab.itch es.misc >= @s es.mobmana.itchreq if entity @p[gamemode=!spectator,distance=..12] run function essences:mobvar/director/creeper/sneaker/decide
execute if entity @s[tag=es.mobvar.reeker] if score es.mobvar.ab.itch es.misc >= @s es.mobmana.itchreq if entity @p[gamemode=!spectator,distance=..3] run function essences:mobvar/director/creeper/reeker/spew






execute unless entity @s[tag=es.mobvar.abilitycasted] run function essences:mobvar/director/itchcooldown
tag @s remove es.mobvar.abilitycasted

### Clear director-related values
scoreboard players reset scor rav.scorerng
scoreboard players reset es.mobvar es.mobvar.ab.itch
scoreboard players reset es.mobvar es.mobvar.ab.itchmod
scoreboard players reset es.mobvar es.mobvar.ab.perc
scoreboard players reset es.mobvar es.mobvar.ab.100
scoreboard players reset es.mobvar es.mobvar.ab.16
scoreboard players reset es.mobvar es.mobvar.ab.10