##### Be sure to run this function as the player!

### Do some RNG to figure out which item will be pulled
function animanager:scorerng
execute store result storage essences:rngpercent double double 0.9765625 run scoreboard players get scor rav.scorerng
execute store result score es.relic.select es.misc run data get storage essences:rngpercent double 1
execute if score es.relic.select es.misc matches 0 run scoreboard players set es.relic.select es.misc 1
scoreboard players reset scor rav.scorerng
data remove storage essences:rngpercent double

### Do a little more RNG to figure out "Gemology" of the item (# of rolls and their quality, influenced by p-diff via "nudge")
# Roll count - Take RNG, scale it to be between 0-1000
function animanager:scorerng
execute store result storage essences:rngpercent double double 0.9765625 run scoreboard players get scor rav.scorerng
execute store result score es.relic.rollcount es.misc run data get storage essences:rngpercent double 1
scoreboard players add es.relic.rollcount es.misc 1
scoreboard players reset scor rav.scorerng
data remove storage essences:rngpercent double

# Roll count - implement "nudge": [2000*<pdiff>^(0.09*<pdiff>)]/[<es.relic.rollcount>+(50/<es.relic.rollcount>)+10]
#               This formula makes garbage rolls significantly rarer at higher p-diffs, and great rolls a little more common at higher p-diffs.
scoreboard players operation es.relic.pdiff es.misc = @s es.activediff
# Numerators - precalculated
execute if score es.relic.pdiff es.misc matches 1 run scoreboard players set es.relic.nudgenum es.misc 2000
execute if score es.relic.pdiff es.misc matches 2 run scoreboard players set es.relic.nudgenum es.misc 2267
execute if score es.relic.pdiff es.misc matches 3 run scoreboard players set es.relic.nudgenum es.misc 2691
execute if score es.relic.pdiff es.misc matches 4 run scoreboard players set es.relic.nudgenum es.misc 3294
execute if score es.relic.pdiff es.misc matches 5 run scoreboard players set es.relic.nudgenum es.misc 4126
execute if score es.relic.pdiff es.misc matches 6 run scoreboard players set es.relic.nudgenum es.misc 5263
execute if score es.relic.pdiff es.misc matches 7 run scoreboard players set es.relic.nudgenum es.misc 6815
execute if score es.relic.pdiff es.misc matches 8 run scoreboard players set es.relic.nudgenum es.misc 8938
# Denominator
scoreboard players set es.relic.nudgedenom es.misc 50
scoreboard players operation es.relic.nudgedenom es.misc /= es.relic.rollcount es.misc
scoreboard players operation es.relic.nudgedenom es.misc += es.relic.rollcount es.misc
scoreboard players add es.relic.nudgedenom es.misc 10

scoreboard players operation es.relic.nudgenum es.misc /= es.relic.nudgedenom es.misc

# Roll count - add Nudge to the roll quality
scoreboard players operation es.relic.nudgenum es.misc += es.relic.rollcount es.misc

# Roll count - set number of rolls based on RNG and nudge
execute if score es.relic.nudgenum es.misc matches 0.. run scoreboard players set es.relic.rollcount es.misc 1
execute if score es.relic.nudgenum es.misc matches 333.. run scoreboard players set es.relic.rollcount es.misc 2
execute if score es.relic.nudgenum es.misc matches 750.. run scoreboard players set es.relic.rollcount es.misc 3
execute if score es.relic.nudgenum es.misc matches 925.. run scoreboard players set es.relic.rollcount es.misc 4
execute if score es.relic.nudgenum es.misc matches 999.. run scoreboard players set es.relic.rollcount es.misc 5

# Roll count - straight up fucking ban Dim rarity from Molten and Unknowable
execute if score es.relic.pdiff es.misc matches 7.. if score es.relic.rollcount es.misc matches 1 run scoreboard players set es.relic.rollcount es.misc 2

### Debug - force rarity
scoreboard players set es.relic.rollcount es.misc 5

### Temporary - debug callouts for rolled rarity
#execute if score es.relic.rollcount es.misc matches 1 run title @s actionbar [{"text": "Dim :(   "},{"score":{"name":"es.relic.nudgenum","objective":"es.misc"}}]
#execute if score es.relic.rollcount es.misc matches 2 run title @s actionbar [{"text": "Vibrant :)   "},{"score":{"name":"es.relic.nudgenum","objective":"es.misc"}}]
#execute if score es.relic.rollcount es.misc matches 3 run title @s actionbar [{"text": "Radiant :D   "},{"score":{"name":"es.relic.nudgenum","objective":"es.misc"}}]
#execute if score es.relic.rollcount es.misc matches 4 run title @s actionbar [{"text": "Resplendent!!!   "},{"score":{"name":"es.relic.nudgenum","objective":"es.misc"}}]
#execute if score es.relic.rollcount es.misc matches 5 run title @s actionbar [{"text": "COALESCENT!!!!!   "},{"score":{"name":"es.relic.nudgenum","objective":"es.misc"}}]

# Roll count - clear values no longer needed
scoreboard players reset es.relic.nudgenum es.misc
scoreboard players reset es.relic.nudgedenom es.misc
scoreboard players reset es.relic.pdiff es.misc

### Summon the item selected by es.relic.select
### Apply rolls, slot in item card text
### Depending on quality of RNG, change color of the item's name
function essences:newrelics/generate/spawnblankitem




