scoreboard players enable @s es._request_item
scoreboard players enable @s es.epbuy
scoreboard players enable @s es.epcheck
scoreboard players enable @s es.essabbuy
scoreboard players enable @s es.epbuy2
scoreboard players enable @s es.diffselect
scoreboard players enable @s es.emp.bnd.req
scoreboard players enable @s es.advice
scoreboard players enable @s es.epdrainmute
scoreboard players enable @s es.tprequest
scoreboard players enable @s es.tpaccept
scoreboard players enable @s es.tpreqmute
scoreboard players enable @s es.emp.handtoggle

execute as @s[scores={es.advice=1..}] run function essences:menu/advice/main

execute as @s[scores={es.epdrainmute=1..}] run function essences:menu/epdrainmute

execute as @s[scores={es._request_item=1..}] at @s run function essences:menu/itemreq/main

execute as @s[scores={es.hlselect=1..}] run function essences:misc/heirloomscroll/selected
execute as @s[scores={es.diffselect=1..}] run function essences:difficulty/difflookuppre
scoreboard players remove @s[scores={es.epshoptimer=1..}] es.epshoptimer 1

execute as @s[scores={es.epcheck=1..}] at @s run function essences:menu/epcheck/main

execute as @s[scores={es.tpreqtimer=1..}] run function essences:menu/tpreq/timer

execute as @s[scores={es.emp.handtoggle=1..}] run function essences:menu/empowerer_popup/handtoggle

execute as @s[scores={es.dropped_item=1..}] at @s run function essences:player/input/drop_item

# Store current player HP stat, x10
execute store result score @s es.redhp run data get entity @s Health 10
#

execute as @s run function essences:player/foc/regen


### Book Popups
# Prep/misc
scoreboard players remove @a[scores={es.book_popup.block=1..}] es.book_popup.block 1
# Imbuer popup UI (has priority over empowerer popup)
execute as @s[predicate=!essences:holding_imbuer,tag=es.imbuer_popup.active] run function essences:menu/imbuer_popup/clear
execute unless score @s es.book_popup.block matches 1.. as @s[predicate=essences:holding_imbuer,tag=!es.in_ep_combo] run function essences:menu/imbuer_popup/show
# Empowerer popup UI
execute as @s[predicate=!essences:holding_empowerer,tag=es.empowerer_popup.active] run function essences:menu/empowerer_popup/clear
execute unless score @s es.book_popup.block matches 1.. as @s[predicate=!essences:holding_imbuer,predicate=essences:holding_empowerer,tag=!es.in_ep_combo] run function essences:menu/empowerer_popup/show
###

# Run this before the popups
execute as @s[scores={es.epbuy2=1..}] run function essences:imbuementfuture/confirmed
execute as @s[scores={es.epbuy=1..}] at @s run function essences:imbuementfuture/direct
execute as @s[scores={es.essabbuy=1..}] at @s run function essences:essabbuylookup

### Text display popups
execute as @s[tag=es.confirm_popup.active] at @s run function essences:menu/confirm_popups/player_tick