execute as @s[type=minecraft:fishing_bobber] at @s run function essences:player/rod/tick_pointer

### Projectile refresh
execute as @s[tag=es.projectile] at @s run function essences:projectiles/lookup
### Fight wisp visual clarity
#execute as @s[type=vex,tag=es.fightwisp] at @s run particle minecraft:flame ~ ~0.3 ~ 0.1 0.1 0.1 0 2 normal
### Ascendance totem
execute as @s[tag=es.ascendancetotem] at @s run function essences:relics/ascendancetotem
### Ground Events
execute as @s[tag=es.groundevent,nbt={OnGround:1b}] at @s run function essences:groundevent/lookup
### Hand of Formation - Brimstone Rain
execute as @s[tag=es.brimstone_puddle] at @s run function essences:relics/hand_of_formation/brimstone_puddle
### Arrows
execute as @s[tag=es.hlarrow] at @s run function essences:arrows/lookups/hl/hunt/decidetick
execute as @s[tag=es.accelerator] at @s run function essences:arrows/accelfinish
execute as @s[tag=es.ha.bow.arrow] at @s run function essences:arrows/hiddenart/bow

### EP drops
execute as @s[tag=es.epdropitem] at @s run function essences:misc/epdeposit/item/checks

### Wisps
execute as @s[tag=es.wisp] at @s run function essences:custom_mobs/wisps/tick

# One-time visual sync fix for selected entities (unused)
#execute as @s[tag=es.ticking_entity.Airsync.once] run function essences:ticking_entity_syncfix_once
#execute as @s[tag=es.ticking_entity.Airsync.once] store result entity @s Air short 1 run scoreboard players get es.gametime es.misc

# Tickly visual sync fix for selected entities (currently only for plague balls)
execute as @s[tag=es.ticking_entity.Airsync.tick] store result entity @s Air short 1 run scoreboard players get es.gametime es.misc

### Aug table - Make sure aug table is ALWAYS the last thing checked each tick
execute as @s[type=armor_stand,tag=es.augmenttable] at @s run function essences:augmenttable/antihopper
execute as @s[type=armor_stand,tag=es.augmenttable] at @s unless block ~ ~ ~ minecraft:barrel{CustomName: '{"font":"erpg:space","extra":[{"color":"white","font":"erpg:ui","text":"䄁"}],"translate":"blockui.essrpg.augtable.-8px"}'} run function essences:augmenttable/destroy
execute as @s[type=armor_stand,tag=es.augmenttable,tag=es.augmenttable.active] at @s if block ~ ~ ~ minecraft:barrel{CustomName: '{"font":"erpg:space","extra":[{"color":"white","font":"erpg:ui","text":"䄁"}],"translate":"blockui.essrpg.augtable.-8px"}'} run function essences:augmenttable/tick