### Set the default pose
#data merge entity @s[tag=!rav.defaultpose] {ArmorItems:[{},{},{},{id:"minecraft:carrot_on_a_stick",Count:1b,tag:{CustomModelData:410021}}]}
tag @s add rav.defaultpose
#
#
### AI Module - Decides next animation state. MUST be sorted from 'last' to 'first'.
### In this example, 'last' animation state is the Reset state, hence why it appears first. The 'first' animation state is float1, hence why it appears last.
### This order prevents several animation states from being ran on the same game tick.

execute as @s[tag=rav.reset] run function animanager:mobstates/boss2/reset
execute as @s[tag=rav.dash1] run function animanager:mobstates/boss2/dash2
execute as @s[tag=rav.ranged3] run function animanager:mobstates/boss2/ranged4
execute as @s[tag=rav.ranged2] run function animanager:mobstates/boss2/ranged3
execute as @s[tag=rav.ranged1] run function animanager:mobstates/boss2/ranged2
execute as @s[tag=rav.melee3] run function animanager:mobstates/boss2/melee4
execute as @s[tag=rav.melee2] run function animanager:mobstates/boss2/melee3
execute as @s[tag=rav.melee1] run function animanager:mobstates/boss2/melee2
execute as @s[tag=rav.move3] run function animanager:mobstates/boss2/decide
execute as @s[tag=rav.move4] run function animanager:mobstates/boss2/move4
execute as @s[tag=rav.move2] run function animanager:mobstates/boss2/move3
execute as @s[tag=rav.move1] run function animanager:mobstates/boss2/move2
execute as @s[tag=!rav.attackstate,tag=!rav.movementlock] run function animanager:mobstates/boss2/move1

### Bossbar Radius
execute at @s run bossbar set essences:es.boss2 players @a[distance=..100]

### Phase 2 quirk
execute if entity @s[scores={rav.boss2talk=..250}] if predicate animanager:10percent at @s at @a[distance=..100,sort=nearest,limit=5,gamemode=!spectator] run function animanager:mobstates/boss2/attackticks/phase2

### Ranged Sound CD
execute at @s run tag @a[distance=..100] remove es.boss2soundcd

### Dialogue
execute as @s run function animanager:mobstates/boss2/dialogue/predialogue

### Slowness nerf
execute as @s run data modify entity @s ActiveEffects[{Id:2,Amplifier:3b}].Amplifier set value 1