### Apply base attributes
execute if score @s es.augslots matches 0 run function essences:augmenttable/vanilla/pointer
execute if score @s es.augslots matches 0 run item modify entity @s weapon.mainhand essences:fight/set_tally

### Socket 3
execute if score @s es.augslots matches 2 run function essences:augmenttable/prot/majoraugpoint
### Sockets 1/2
execute if score @s es.augslots matches 0..1 run function essences:augmenttable/prot/minoraugpoint

data modify entity @s HandItems[0].tag merge value {es.tier_upgraded:0b}

### Write the correct attribute slot(s)
execute if data entity @s HandItems[0].tag.AttributeModifiers[{Name:"es.reflexslot"}] run function essences:augmenttable/reflexslot

# Subtract EP
execute if score @p[gamemode=!spectator,distance=..6] es.essence_prot >= @s es.augcost run scoreboard players operation @p[gamemode=!spectator,distance=..6] es.essence_prot -= @s es.augcost
tellraw @p[gamemode=!spectator,distance=..6] ["",{"text":"You spend "},{"score":{"name":"@s","objective":"es.augcost"},"bold":true,"italic":true,"color":"blue"},{"text":" Protector EP","bold":true,"italic":true,"color":"blue"},{"text":" to augment your item.\nYou are left with "},{"score":{"name":"@p[gamemode=!spectator,distance=..6]","objective":"es.essence_prot"},"bold":true,"italic":true,"color":"blue"},{"text":" Protector EP","bold":true,"italic":true,"color":"blue"},{"text":". "}]
execute if data block ~ ~ ~ {Items:[{Slot:13b,Count:1b,id:"minecraft:cookie"}]} run tellraw @p[gamemode=!spectator,distance=..6] "   ...you augmented a cookie?"

# Effects
playsound minecraft:block.anvil.use block @a ~ ~ ~ 0.25 0.9
playsound minecraft:block.amethyst_cluster.hit block @a ~ ~ ~ 1 0.87
particle minecraft:dust_color_transition 0 0 1 1 1 0 1 ~ ~1.05 ~ .25 0 .25 0 50 normal
execute if score @s es.augslots matches 3 run particle minecraft:dripping_dripstone_water ~ ~1.25 ~ 0.25 0.15 0.25 0 25 normal
execute if score @s es.augslots matches 3 run playsound minecraft:entity.enderman.teleport block @a ~ ~ ~ 0.4

# Advancement
advancement grant @p[gamemode=!spectator,distance=..5] only essences:es_augment