### Prep
scoreboard players set @s es.augcost 0
scoreboard players set @s es.augtype 0
scoreboard players set @s es.toolorarmor 0
scoreboard players set @s es.augslots 0
scoreboard players set @s es.augtally 0

### For verification
data modify storage essences:augment item set from block ~ ~ ~ Items[{Slot:13b}]
function essences:augmenttable/verifyitem
execute if data block ~ ~ ~ Items[{Slot:13b}].tag.erpgaugs run scoreboard players set compounds es.bannednbt 0
execute if data block ~ ~ ~ Items[{Slot:13b}].tag."es.customauggable" run scoreboard players set compounds es.bannednbt 0
execute if data block ~ ~ ~ Items[{Slot:13b,id:"minecraft:cookie"}] run scoreboard players set compounds es.bannednbt 0

### Determine Socket Count
execute store result score @s es.augslots run data get block ~ ~ ~ Items[{Slot:13b}].tag.erpgaugs

### Item in hand
data modify entity @s HandItems[0] set from block ~ ~ ~ Items[{Slot:13b}]

### Choose Item Class
execute if score compounds es.bannednbt matches 0 run function essences:augmenttable/types/itemclasslookup
execute if data block ~ ~ ~ Items[{Slot:13b,id:"minecraft:cookie"}] run scoreboard players set @s es.augcost 2500

### Final checks - here we go!
execute unless score @p[gamemode=!spectator,distance=..6] es.essence_prot >= @s es.augcost unless score @s es.augcost matches 0 run tellraw @p[gamemode=!spectator,distance=..6] [{"text":"You don't have enough EP to augment!"},{"text":"\n   You have: "},{"score":{"name":"@p[gamemode=!spectator,distance=..6]","objective":"es.essence_prot"},"bold":true,"italic":true,"color":"blue"},{"text":" Protector EP.","bold":true,"italic":true,"color":"blue"},{"text":"\n   You need: "},{"score":{"name":"@s","objective":"es.augcost"},"bold":true,"italic":true,"color":"blue"},{"text":" Protector EP.","bold":true,"italic":true,"color":"blue"}]
execute unless score @s es.augcost matches 0 unless score @s es.augslots matches 3 if score @p[gamemode=!spectator,distance=..6] es.essence_prot >= @s es.augcost run function essences:augmenttable/prot/pointer
execute if score @s es.augcost matches 0 run tellraw @p[gamemode=!spectator,distance=..6] [{"text":"The Augment Table does not know what your item is, and therefore could not alter it.\n   Reinforced items also cannot be augmented."}]
execute if score @s es.augslots matches 3 run tellraw @p[gamemode=!spectator,distance=..6] [{"text":"Your item has all of the augmentations it can hold. Clear them if you would like to try for different ones."}]


### Item vanishing bugfix DO THIS FIRST
data remove block ~ ~ ~ Items[{Slot:13b}]
summon minecraft:item ~ ~2 ~ {PickupDelay:10s,Item:{id:"minecraft:stone",Count:1b},Tags:["es.replaceholder"]}
data modify entity @e[type=item,tag=es.replaceholder,limit=1,sort=nearest] Item set from entity @s HandItems[0]
data modify entity @e[type=item,tag=es.replaceholder,limit=1,sort=nearest] Tags set value []

### Reset stuff
scoreboard players reset @s es.augcost
scoreboard players reset @s es.augtype
scoreboard players reset @s es.augslots
scoreboard players reset @s es.toolorarmor
scoreboard players reset item es.augtally
data remove storage essences:augment item
data remove entity @s HandItems[0]