# Grab Current HP percent and raw HP value, this will be used in healthscaleup
execute store result score hppercent es.mobhealthmath run data get entity @s Health 10000
execute store result score maxhp es.mobhealthmath run attribute @s generic.max_health get 1
execute store result score rawhp es.mobhealthmath run data get entity @s Health 1000

scoreboard players operation hppercent es.mobhealthmath /= maxhp es.mobhealthmath
# Note - now "hppercent" will be two digits longer than the percent desired. This is intended for accuracy reasons.

###

#attribute @s minecraft:generic.max_health modifier add e55e4ce-1-808-4ea1-1 "ERPG Health Raiser" 10000 add

# Set max HP cap
attribute @s minecraft:generic.max_health modifier remove e55e4ce-1-808-4ea1-2
attribute @s[scores={es.mobdiff=1}] minecraft:generic.max_health modifier add e55e4ce-1-808-4ea1-2 "ERPG Health Modifier" 0 multiply_base
execute store result score @s[scores={es.mobdiff=1}] es.mobhealthmath run data get entity @s Health 100
attribute @s[scores={es.mobdiff=2}] minecraft:generic.max_health modifier add e55e4ce-1-808-4ea1-2 "ERPG Health Modifier" 0.2 multiply_base
execute store result score @s[scores={es.mobdiff=2}] es.mobhealthmath run data get entity @s Health 120
attribute @s[scores={es.mobdiff=3}] minecraft:generic.max_health modifier add e55e4ce-1-808-4ea1-2 "ERPG Health Modifier" 0.5 multiply_base
execute store result score @s[scores={es.mobdiff=3}] es.mobhealthmath run data get entity @s Health 150
attribute @s[scores={es.mobdiff=4}] minecraft:generic.max_health modifier add e55e4ce-1-808-4ea1-2 "ERPG Health Modifier" 1 multiply_base
execute store result score @s[scores={es.mobdiff=4}] es.mobhealthmath run data get entity @s Health 200
attribute @s[scores={es.mobdiff=5}] minecraft:generic.max_health modifier add e55e4ce-1-808-4ea1-2 "ERPG Health Modifier" 2 multiply_base
execute store result score @s[scores={es.mobdiff=5}] es.mobhealthmath run data get entity @s Health 300
attribute @s[scores={es.mobdiff=6}] minecraft:generic.max_health modifier add e55e4ce-1-808-4ea1-2 "ERPG Health Modifier" 4 multiply_base
execute store result score @s[scores={es.mobdiff=6}] es.mobhealthmath run data get entity @s Health 500
attribute @s[scores={es.mobdiff=7}] minecraft:generic.max_health modifier add e55e4ce-1-808-4ea1-2 "ERPG Health Modifier" 6.5 multiply_base
execute store result score @s[scores={es.mobdiff=7}] es.mobhealthmath run data get entity @s Health 750
attribute @s[scores={es.mobdiff=8}] minecraft:generic.max_health modifier add e55e4ce-1-808-4ea1-2 "ERPG Health Modifier" 9 multiply_base
execute store result score @s[scores={es.mobdiff=8}] es.mobhealthmath run data get entity @s Health 1000
# Multiply up if first buff
execute store result entity @s[tag=!es.alreadybuff] Health float 0.01 run scoreboard players get @s es.mobhealthmath
# Return original raw HP, as attribute resetting often overwrites the value
execute store result entity @s[tag=es.alreadybuff] Health float 0.001 run scoreboard players get rawhp es.mobhealthmath
# Logic
scoreboard players reset @s es.mobhealthmath
tag @s add es.alreadybuff
#attribute @s generic.max_health modifier remove e55e4ce-1-808-4ea1-1

# Update maxhp, scale it up
# Should enemies retain health if they drop difficulty? Currently they do, may change in the future
execute if score @s es.mobdiff > @s es.lastmobdiff run function essences:difficulty/healthscaleup