# This will be the popup menu for selecting the bind - when clicking one of the options found in this file, the game will run "bind.mcfunction" to actually assign the bind.
# The system should use scoreboard math on "es.emp.bnd.req" to assemble codes to be read in bind.mcfunction!
## Empowerment binding - 11xxx-mh.ju, 12xxx-mh.sn, 21xxx-oh.ju, 22xxx-oh.sn, 1-check binds

tellraw @s[scores={es.emp.bnd.req=11000}] {"text":"----------[Bind: Mainhand Jump]----------","bold":true}
tellraw @s[scores={es.emp.bnd.req=12000}] {"text":"----------[Bind: Mainhand Sneak]----------","bold":true}
tellraw @s[scores={es.emp.bnd.req=21000}] {"text":"----------[Bind: Offhand Jump]----------","bold":true}
tellraw @s[scores={es.emp.bnd.req=22000}] {"text":"----------[Bind: Offhand Sneak]----------","bold":true}

scoreboard players enable @s es.emp.bnd.req2

tellraw @s[scores={es.emp.101.owned=1}] {"text":"[Cripple]","color":"red","clickEvent":{"action":"run_command","value":"/trigger es.emp.bnd.req2 set 101"}}
tellraw @s[scores={es.emp.102.owned=1}] {"text":"[Erupt]","color":"red","clickEvent":{"action":"run_command","value":"/trigger es.emp.bnd.req2 set 102"}}
tellraw @s[scores={es.emp.103.owned=1}] {"text":"[Enrage]","color":"red","clickEvent":{"action":"run_command","value":"/trigger es.emp.bnd.req2 set 103"}}

tellraw @s[scores={es.emp.201.owned=1}] {"text":"[Brace]","color":"blue","clickEvent":{"action":"run_command","value":"/trigger es.emp.bnd.req2 set 201"}}
tellraw @s[scores={es.emp.202.owned=1}] {"text":"[Collude]","color":"blue","clickEvent":{"action":"run_command","value":"/trigger es.emp.bnd.req2 set 202"}}
tellraw @s[scores={es.emp.203.owned=1}] {"text":"[Recoup]","color":"blue","clickEvent":{"action":"run_command","value":"/trigger es.emp.bnd.req2 set 203"}}

tellraw @s[scores={es.emp.301.owned=1}] {"text":"[Rejuvenate]","color":"green","clickEvent":{"action":"run_command","value":"/trigger es.emp.bnd.req2 set 301"}}
tellraw @s[scores={es.emp.302.owned=1}] {"text":"[Upwind]","color":"green","clickEvent":{"action":"run_command","value":"/trigger es.emp.bnd.req2 set 302"}}
tellraw @s[scores={es.emp.303.owned=1}] {"text":"[Harvest]","color":"green","clickEvent":{"action":"run_command","value":"/trigger es.emp.bnd.req2 set 303"}}

tellraw @s[scores={es.emp.owncount=0}] {"text":"You have no Empowerments to bind! Learn them first from page 2 of the Empowerer.","bold":true,"color":"gold"}

# Store input for later use in bind.mcfunction
scoreboard players operation @s es.emp.bnd.reqb = @s es.emp.bnd.req