------------------------------
Smithed Conventions: (keep this here just in case, as reference)
------------------------------
    -CMD Prefixing: Done!
    -Namespacing
        -Scoreboards: Done!
        -Storage: Done!
        -Tags: Done!
    -Weld: Done!
    -Tag Specification
        -Removal of MCDP "global" system - Done!
        -Add 'smithed.entity' to bosses and summon attacks such as Blaze's flame snake - Done!
        -Add 'smithed.strict' to bosses and armor stands, items, markers, aecs that are NOT the augment table - Done!
        -Add 'smithed.block' to the aug table - Done!

------------------------------
Technical stuff todo:
------------------------------
-Add lang support for UI tellraws/titles

-Make augmentation menu less janky

-Switch augmentation compound "es.fightaugs" to use doubles, NOT bytes ffs
    -Actually, is this even necessary? Augments are done anyways

-Remake focus damage calculation
    -I also doubt this is even necessary
    
------------------------------
Game changes todo:
------------------------------
-In-world popups for more menu related actions:
    -Inspection
-RL mode: Track lifetime run stats like total attempts, winning difficulty, time spent
    -Probably save this for a later update

0.1.7 checklist (tentative, will include more):
    -Give Saturation an Imbuement mechanic, maybe just stylize T6 as "Overflowing"
    -Investigate shield major augs not working
    
---

-More mob variants
    -Spiders
        -Silkshots: Lay web at their feet to lock themselves in place and shoot a barrage of five web balls in rapid succession towards a player.
        -Assassins: Remain invisible (red eyes still visible) and slow while out of combat. If a player is in aggro range, they break invisibility to get closer, then briefly turn invisible again while taking a quick second to charge a teleport-lunge attack that ignores shields(?) for high damage and causes strong (but short) poison.
    -Slimes?
    -Skeletons
        -Dire: Revised version of current behavior of putting the bow away to use a bone as a club once they are at low enough HP (50%?). Skeleton should be enraged after this. Imply they're ripping it from their own body better by making the skeleton take damage, and don't allow them to put it away.
        -Battlemage: Slower skeletons with a channeler item similar to Singe, will hit for a respectable amount of melee damage, but the main threat from them is a short range hitscan attack.
    -Blazes? Maybe just touch up their additional attacks
    -Zombie Piglins - Note: Z-piglins are NOT to show their variants until they have aggro on a player. Players who disturb them are picking a fight they don't know the details of.
        -Nimble: Leaps at the player. Very low health.
        -Squealing: Squeals constantly, applying a stacking debuff to the player which causes a small amount of damage. Easy to spot, has low health.
    -Pillagers, other Illagers
        -Dabbler (Pillager): Current behavior of summoning evocation fangs at the player's feet periodically.
        -Rescindicator (Vindicator): Slower, but has more health and can jump backwards to stop their assault and fire a homing magic projectile that, upon connection with a player, lifedrains them to heal the Rescindicator and links the two together for a few seconds, forcing the Rescindicator to be pulled towards the player for continued melee assault.
    -Wither skeletons
        -Utilize the Wither (boss) fight variants?

-Make player-dealt Focus damage tag the target with /damage - Done!
    -Add focus damage against other players?? It *is* possible now...

-Add teleport requests
    -Needs more testing?

-Improve the advice tab?

------------------------------
Branding/hype todo:
------------------------------
-(Far future) Trailer
-(Far future) Upload music tracks to YT

------------------------------
Tracked bugs:
------------------------------
-None currently tracked. Get to finding them!

------------------------------
Ideas for new relic effects
------------------------------
-Seeking darkness projectiles summoned along the trail of the main projectile